Subject: using g++ with exceptions
From: [email-masked] (Jaroslav Gergic)

23 Jan 1998 19:33:14 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-2
Content-Transfer-Encoding: 7bit
To: gnu-win32 <[email-masked]>

I tried to compile some little program developed using BCC
and I have problems with new operator and its exception.

So I have two questions:
1) Which header I must to include? Using mingw32 I can include
"new.h" and catch "bad_alloc" exception (instead of including "except.h"
and
catching "xalloc" - BCC) and all works perfectly but it doesn't work
when I try
to compile the same code using gnuwin32's g++ compiler or g++ port on
FreeBSD.
2) What are conventions for using an exception handling using g++
compiler?

Gergic
--
Name: Jaroslav Gergic
- student of the Faculty of Mathematics and Physics, Charles University,
Prague
  E-mail: [email-masked]
  Web: http://www.kolej.mff.cuni.cz/~jg
- editor of the PDA section of Mobil Server
  E-mail: [email-masked]
  Web: http://www.mobil.cz

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".